Loading...
Searching...
No Matches
opencc::StrSingleValueDictEntry Class Reference
Inheritance diagram for opencc::StrSingleValueDictEntry:

## Public Member Functions

| StrSingleValueDictEntry (const std::string &_key, const std::string &_value)
virtual std::string | Key () const
virtual std::string | Value () const
Public Member Functions inherited from opencc::SingleValueDictEntry
virtual std::vector< std::string > | Values () const
virtual std::string | GetDefault () const
virtual size_t | NumValues () const
virtual std::string | ToString () const
Public Member Functions inherited from opencc::DictEntry
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Additional Inherited Members

Static Public Member Functions inherited from opencc::DictEntry
static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Member Function Documentation

## Key()

virtual std::string opencc::StrSingleValueDictEntry::Key | ( |  | ) | const

inline virtual

Implements opencc::DictEntry.

## Value()

virtual std::string opencc::StrSingleValueDictEntry::Value | ( |  | ) | const

inline virtual

Implements opencc::SingleValueDictEntry.

The documentation for this class was generated from the following file:

- DictEntry.hpp